var socket = io.connect('http://YOUR.BOARDS.IP.ADDRESS:8080')
socket.on('connect', function () {
console.log('connected to socket')
})

var f = 0; //frequency variable for analog0
var fb = 0; //delay variable for analog1
var t = 0; //reverb variable for analog2
var v = 0; //frequency variable for analog3


var	background = T("audio", {loop:true}).loadthis("background.wav"); //load sample and loop it, look in same folder as this file
var	strings = T("audio", {loop:true}).loadthis("strings.wav");
var	bells = T("audio", {loop:true}).loadthis("bells.wav");
var	hat = T("audio", {loop:true}).loadthis("hat.wav");
var	lowWave = T("audio", {loop:true}).loadthis("lowWave.wav");

var delayz = T("delay", {mix:0.33}); //put delay object in variable
var reverbz = T("reverb", {mix:0.45}); //put reverb object in variable


var sine = T("sin"); //sine wave
var sine0 = T("tri", {freq:110}) //set frequency of triangle wave with 
var sine1 = T("tri", {freq:207})
var sine2 = T("tri", {freq:293})
var sine3 = T("tri", {freq:440})
var sine4 = T("tri", {freq:493})


socket.on('button0', function (value) { //play background sample with delay and reverb effect
if (value == 'push') { 
delayz.append(background).play();
reverbz.append(background).play();
} 
})

socket.on('button1', function (value) { //play strings sample with delay and reverb effect
if (value == 'push') { 
delayz.append(strings).play();
reverbz.append(strings).play();
//delayz.append(saw0).play();
//reverbz.append(saw0).play();
//delayz.append(hat).play();
//reverbz.append(hat).play();
}
})

socket.on('button3', function (value) { //play bells sample with delay and reverb effect 
if (value == 'push') { 
delayz.append(bells).play();
reverbz.append(bells).play();
}
})

socket.on('button2', function (value) { //remove all sounds and effects with a switch
if (value == 'push') { 
delayz.append(strings).removeAll();
reverbz.append(strings).removeAll();
delayz.append(bells).removeAll();
reverbz.append(bells).removeAll();
delayz.append(lowWave).removeAll();
reverbz.append(lowWave).removeAll();
delayz.append(hat).removeAll();
reverbz.append(hat).removeAll();
sine.removeAll();
tri0.removeAll();
tri1.removeAll();
tri2.removeAll();
tri3.removeAll();
tri4.removeAll();
}
})

socket.on('analog0', function (value) { //step through different frequencies of triangle wave with pot
f = value;

if (f > 750 && f < 775){
	reverbz.append(tri0).play();
	
} else if (f > 725 && f < 750) {
	tri1.play();

}else if(f > 700 && f < 725) {
	tri2.play();

}else if (f > 675 && f < 700) {
	tri3.play();

}else if (f > 625 && f < 675) {
	tri4.play();

}else {
	tri0.pause();
	tri1.pause();
	tri2.pause();
	tri3.pause();
	tri4.pause();
}
	console.log("tri freq =", f); //print values in javascript dev window in browser
}) 

socket.on('analog1', function (value) { //change delay with pot
fb = value * 10// put pot values in variable
	
if (fb > 1800 && fb < 2200){
	delayz.set({time:100, fb:0.4, mix:0.25});

} else if (fb > 2200 && fb < 2500 ){
	delayz.set({time:200, fb:0.4, mix:0.25});

} else if (fb >2500 && fb < 2800){
	delayz.set({time:300, fb:0.4, mix:0.25});

} else if (fb >2800 && fb < 3100){
	delayz.set({time:1250, fb:0.4, mix:0.25});

} else {
	delayz.set({time:100, fb:0.4, mix:0.25});

}
console.log("delay time = ", fb); //print values in javascript dev window in browser
	}) 


socket.on('analog2', function (value) { //change reverb (size of room) with handmade pressure sensor
t = value / 1024 // put pot values in variable
reverbz.set({room:t});
console.log("reverb room = ", t); //print values in javascript dev window in browser
}) 

socket.on('analog3', function (value) { //change frequency of sine with handmade pressure sensor
v = value 
if (v > 300){
	sine.play();
	sine.set({freq:v});

} else {
	sine.pause();

}
	console.log("sine freq =", v);
	}) 

